SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001136: framework for customized error message pages - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001136Endian FirewallOther Scriptspublic2008-07-17 13:462008-07-27 20:18
Reporterpeter-endian 
Assigned Topeter-endian 
PriorityimmediateSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.2-rc2Fixed in Version2.2-rc2 
Summary0001136: framework for customized error message pages
Descriptionwe need a python script which statically creates all the error message html pages using cheetah.

Error messages in squid, dansguardian, havp, amavisd and p3scan should be made overrideable and brandable.

script does the following:
- should be called as createtemplate.py [servicename]

- reads config from /etc/templates/<servicename>.conf

- loops through each /usr/share/templates/<servicename>/*/*.orig.tmpl and
  creates corresponding messages files in <destdir>, with the corresponding
  directory structure, cutting away .orig.tmpl

- searches for each original template a corresponding template of the same
  name, which may override the orig template.. searches in:
  o /var/efw/<efw_servicename>/templates/**.custom.tmpl
  o /usr/share/templates/<servicename>/*/*.vendor.tmpl

- applies header.tmpl and footer.tmpl if thex exist in one of the 3 locations.

- script will be run:#
  o at boot time
  o as %post hook of respective service installations
  o after editing/uploading custom templates

- templates of squid, havp, dansguardian, amavisd, p3scan should not be packaged
  in their original place anymore, but packaged in /usr/share/templates/ as
  cheetah orig template
TagsNo tags attached.
Attached Files

- Relationships
parent of 0003477confirmedpeter-endian createtemplates.py ignores $FILE.custom.tmpl 
related to 0001137closedpeter-endian p3scan error message template need to get rid of languages 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0001461)
peter-endian (administrator)
2008-07-17 19:37

respective changes in the services packages need still to be done

- Issue History
Date Modified Username Field Change
2008-07-17 13:46 peter-endian New Issue
2008-07-17 13:46 peter-endian Status new => assigned
2008-07-17 13:46 peter-endian Assigned To => peter-endian
2008-07-17 13:47 peter-endian Issue cloned: 0001137
2008-07-17 13:47 peter-endian Relationship added related to 0001137
2008-07-17 14:09 peter-endian Description Updated
2008-07-17 19:37 peter-endian Status assigned => resolved
2008-07-17 19:37 peter-endian Fixed in Version => 2.2-rc2
2008-07-17 19:37 peter-endian Resolution open => fixed
2008-07-17 19:37 peter-endian Note Added: 0001461
2008-07-27 20:18 peter-endian Status resolved => closed
2012-10-05 14:05 ardit-endian Relationship added parent of 0003477

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker